Page MenuHomePhabricator

[MergeICmps] Preserve the dominator tree.
ClosedPublic

Authored by courbet on May 17 2019, 8:27 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

courbet created this revision.May 17 2019, 8:27 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 17 2019, 8:27 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
courbet updated this revision to Diff 200051.May 17 2019, 8:29 AM

remove debug

gchatelet accepted this revision.May 20 2019, 2:30 PM
gchatelet added inline comments.
llvm/lib/Transforms/Scalar/MergeICmps.cpp
718 ↗(On Diff #200051)

format

862 ↗(On Diff #200051)

Can you add a comment for the second nullptr

This revision is now accepted and ready to land.May 20 2019, 2:30 PM
courbet updated this revision to Diff 200433.May 21 2019, 2:24 AM
courbet marked an inline comment as done.

Address comments.

This revision was automatically updated to reflect the committed changes.